ver0.43.0でのアップデートエラー


投稿ツリー


前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014/3/19 21:53
SAT  新米   投稿数: 17

いつもお世話になっております。

d3diaryver0.41を使っていたのですが、
ver0.43.0が出ていたのでアップデートしてみました。

しかし、以下のWarningが出てアップデートが完了できませんでした。

Warning [PHP]: mysql_field_type() [function.mysql-field-type]: Field 1 is invalid for MySQL result index 350 in file /xoops_trust_path/modules/d3diary/onupdate.php line 158
Warning [Xoops]: Smarty error: unable to read resource: "db:_inc_blog_options.html" in file class/smarty/Smarty.class.php line 1095
Warning [Xoops]: Smarty error: unable to read resource: "db:_inc_blog_options.html" in file class/smarty/Smarty.class.php line 1095

Error [Xoops]: Smarty error: [in db:d3diary_edit.html line 240]: syntax error: unrecognized tag 'xoops_dhtmltarea' (Smarty_Compiler.class.php, line 580) in file class/smarty/Smarty.class.php line 1095

一つ前のバージョン0.42.0の
「 php5.5以降非推奨なMySQL関数をMySQLi対応にした。」
の影響か、こちらの環境だけの問題なのかわかりませんが・・・

こちらの環境です。
Apache:2.2.3
PHP:5.2.17
MySQL:5.5.23
XOOPS:2.0.16a-JP
文字コード:EUC-JP

もし解決方法がおわかりでしたら、ご教示頂けますと幸いです。
宜しくお願い致します。

投票数:0 平均点:0.00
返信する
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014/3/19 22:03 | 最終変更
なーお  長老   投稿数: 1556

SATさん、こんにちは。

ご報告ありがとうございます。

これはTYPOですね。

https://github.com/naao/d3diary/commit/c84d728a456af21b942e2c5d6848946d85f3bb76#diff-d8d84a59d8a567db51509434d20bc938R158

ここの158行目を
$field_type = mysql_field_type($result, 1);
 ↓
$field_type = mysql_field_type($result, 0);

に直して再度やってみていただけますか。

なお、smartyエラーのほうは、テンプレート名が「_inc_blog_options.html」となっており、冒頭の「_」の前にあるはずのテンプレートセット名が抜けていますね。 ここは変更してないと思うのですが、確認します。

投票数:0 平均点:0.00
返信する
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014/3/19 22:18
SAT  新米   投稿数: 17

早々のお返事ありがとうございます!

修正したところ、
Warning [PHP]: mysql_field_type() [function.mysql-field-type]: Field 1 is invalid for MySQL result index 350 in file /xoops_trust_path/modules/d3diary/onupdate.php line 158
のエラーは消えました :-)

その他のエラーが消えないので、正常にアップデートは完了できませんでしたが・・・
一応関係があるかわからないので恐縮ですが、
Smarty.class.php line 1095付近には、以下の記述がありました。

   function trigger_error($error_msg, $error_type = E_USER_WARNING)
   {
       trigger_error("Smarty error: $error_msg", $error_type);
   }

こちらの環境依存でしたら申し訳ございませんm(_ _)m

投票数:0 平均点:0.00
返信する
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014/3/19 22:25 | 最終変更
なーお  長老   投稿数: 1556

SATさん

最初の3つはWARNINGなのでアップデートは完了するはずです。

最後のひとつが問題で。
Error [Xoops]: Smarty error: [in db:d3diary_edit.html line 240]: syntax error: unrecognized tag 'xoops_dhtmltarea' (Smarty_Compiler.class.php, line 580) in file class/smarty/Smarty.class.php line 1095

xoops_dhtmltarea smartyプラグインを、XCL2.2から引っ張ってきて、smartyプラグインのフォルダに放り込んでみてください。

https://github.com/XoopsX/legacy/blob/CorePack/xoops_trust_path/libs/smarty/plugins/function.xoops_dhtmltarea.php

投票数:0 平均点:0.00
返信する
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014/3/20 1:41 | 最終変更
SAT  新米   投稿数: 17

ご返信有難うございます。
教えて頂いたリンク先からfunction.xoops_dhtmltarea.phpをsmartyプラグインのフォルダに上書きしましたが、

Error [Xoops]: Smarty error: [in db:d3diary_edit.html line 240]: syntax error: unrecognized tag 'xoops_dhtmltarea' (Smarty_Compiler.class.php, line 580) in file class/smarty/Smarty.class.php line 1095

というエラーとなりました [worried]

アップデートが完了したメッセージは出ませんが、今のところd3diary自体の動作に問題ない状況に思われます。
もし不具合等があればご報告させて頂きます。

投票数:0 平均点:0.00
返信する
前の投稿 - 次の投稿 | 親投稿 - 子投稿.1 | 投稿日時 2014/3/20 6:28 | 最終変更
なーお  長老   投稿数: 1556

SATさん

smartyプラグインのフォルダは、XOOPS2.0.16aのsmartプラグインフォルダに入れていただけましたか?

(xoops_root_path)/class/smarty/plugins

 当方、JPEXで同様の現象を確認し、上記フォルダに入れたところ問題なくアップデートが完了しています。

 それから、念のためですが、function.xoops_dhtmltarea.phpです。 function.xoopsdhtmltarea.phpもありますがこれはXOOPS2.0にも元々ありますので、そのまま上書きしないようにしてください。

投票数:0 平均点:0.00
返信する
前の投稿 - 次の投稿 | 親投稿 - 子投稿なし | 投稿日時 2014/3/20 16:21
SAT  新米   投稿数: 17

なーおさん、ご返信有難うございます。

ご指摘の通り、function.xoopsdhtmltarea.phpの中を書き換えて上書きしていました。
function.xoopsdhtmltarea.phpを戻して、function.xoops_dhtmltarea.phpを別途アップしたらアップデート完了のメッセージが表示されました。

実はご提示頂いたリンク先のgithub.comで、どこからファイルをDLできるのかわからなかったので、ソースをコピーしてしまいました。
先にお尋ねすればよかったですね。申し訳ございませんm(_ _)m

db:_inc_blog_options.htmlのWarning 2つは消えませんが、一先ずアップデート完了報告とさせて頂きます。
ありがとうございました。

投票数:0 平均点:0.00
返信する

このトピックに投稿する

題名
ゲスト名
投稿本文
  条件検索へ